# Restack AI SDK

This is the Python Restack AI SDK.

## Prerequisites

- Python 3.8 or higher
- Poetry (for dependency management)

## Installation

1. Make sure you have Poetry installed. If not, install it by following the instructions at https://python-poetry.org/docs/#installation

2. Clone the repository and navigate to the `engine/sdk/python` directory.

3. Install the project and its dependencies:

   ```
   poetry install
   ```

## Development

To set up the development environment:

poetry shell

This will create a virtual environment and activate it.

## Testing

To run tests:

poetry run pytest

To run linting:

poetry run flake8

## Usage

To use the SDK in your project, you can import it like this:

python
from restack_ai import Restack

_Your code here_

For more detailed usage instructions, please refer to the documentation.
